/* Sistemas Integrados TECNISA

Nome: DTULTATU_GRUPOBEM

Descrio:

Atualiza a data de ultima atualizao da tabela GRUPOBEM

Criao:
15/01/2009 Frederico Gonalves Moreira da Costa
*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_GRUPOBEM' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_GRUPOBEM
GO

CREATE TRIGGER DTULTATU_GRUPOBEM
ON GRUPOBEM
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'GRUPOBEM',NULL,'CDEMPRESA='+CDEMPRESA+';'+'CDGRUPOBEM='+CDGRUPOBEM+';',
                               GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE GRUPOBEM
      SET DTULTATUGRBEM = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(GRUPOBEM.CDEMPRESA,0) = ISNULL(INSERTED.CDEMPRESA,0)) AND
            (ISNULL(GRUPOBEM.CDGRUPOBEM,0) = ISNULL(INSERTED.CDGRUPOBEM,0)) AND
            (ISNULL(GRUPOBEM.NMGRUPOBEM,0) = ISNULL(INSERTED.NMGRUPOBEM,0)) AND
            (ISNULL(GRUPOBEM.NMABREVGRUPOBEM,0) = ISNULL(INSERTED.NMABREVGRUPOBEM,0)) AND
            (ISNULL(GRUPOBEM.DSOBSGRUPOBEM,0) = ISNULL(INSERTED.DSOBSGRUPOBEM,0)) AND
            (ISNULL(GRUPOBEM.IDDEPRECIAGRBEM,0) = ISNULL(INSERTED.IDDEPRECIAGRBEM,0)) AND
            (ISNULL(GRUPOBEM.IDPERITAXAGRBEM,0) = ISNULL(INSERTED.IDPERITAXAGRBEM,0)) AND
            (ISNULL(GRUPOBEM.QTANODEPREGRBEM,0) = ISNULL(INSERTED.QTANODEPREGRBEM,0)) AND
            (ISNULL(GRUPOBEM.QTMESDEPREGRBEM,0) = ISNULL(INSERTED.QTMESDEPREGRBEM,0)) AND
            (ISNULL(GRUPOBEM.VRTAXADEPRGRBEM,0) = ISNULL(INSERTED.VRTAXADEPRGRBEM,0)) AND
            (ISNULL(GRUPOBEM.CDOPERATUGRBEM,0) = ISNULL(INSERTED.CDOPERATUGRBEM,0));
   END;
END;
GO