/* Tabela PARAVEND: TABELA DE PARAMETROS DE VENDA*/
/* Descrio: A trigger insere registros na tabela LOGOPERAVND a partir de alteraes na tabela PARAVEND */
/* Objetivo: Gerar um log que vai registrar as alteraes na PARAVEND,
             utilizando a tabela de Logs de Operaes do VND*/

IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_VND_PARAVEND' AND
                 TYPE   = 'TR' 	               AND
	              U.UID  = O.UID                 AND
	              U.NAME = USER)
DROP TRIGGER LOG_VND_PARAVEND
GO

CREATE TRIGGER LOG_VND_PARAVEND
ON PARAVEND
FOR INSERT, UPDATE, DELETE
AS

  DECLARE @V_DSREMOTEADDR VARCHAR(15);
  DECLARE @V_DSREMOTEHOST VARCHAR(15);
  DECLARE @V_DSSERVERRDM  VARCHAR(20);
  DECLARE @V_DSSERVMETHOD VARCHAR(30);
  DECLARE @V_DSREMOTEOPER VARCHAR(12);
  DECLARE @V_DESC         VARCHAR(500);
  DECLARE @V_ITPESQ       VARCHAR(40);
  DECLARE @V_NMOPERADOR   VARCHAR(40);
  DECLARE @V_IDTIPOOPER   VARCHAR(1);

/*VARIVEIS DO CURSOR C_CURSOR*/

  DECLARE @V_ID_COMANDO    VARCHAR(1);

  DECLARE @V_NEW_CDFILIAL            varchar(4);
  DECLARE @V_NEW_CDPARAVEND          varchar(1);
  DECLARE @V_NEW_CDPRODUTO           varchar(10);
  DECLARE @V_NEW_CDCLIENTE           varchar(21);
  DECLARE @V_NEW_NMULTIMOTXT         varchar(50);
  DECLARE @V_NEW_IDCONSUMIOBR        varchar(1);
  DECLARE @V_NEW_QTDIGCDIDCON        numeric(15);
  DECLARE @V_NEW_CDDIGCDIDCON        varchar(10);
  DECLARE @V_NEW_IDATUEST            varchar(1);
  DECLARE @V_NEW_CDSERVFILI          varchar(5);
  DECLARE @V_NEW_IDSERVPAD           varchar(1);
  DECLARE @V_NEW_IDIMPCUPFIS         varchar(1);
  DECLARE @V_NEW_CDEMPRESA           varchar(2);
  DECLARE @V_NEW_CDINSCESTA          varchar(16);
  DECLARE @V_NEW_CDINSCMUNI          varchar(16);
  DECLARE @V_NEW_CDSERIE             varchar(5);
  DECLARE @V_NEW_CDTABEPREC          varchar(3);
  DECLARE @V_NEW_IDFORMAPRECO        varchar(1);
  DECLARE @V_NEW_IDCUSFOPRECO        varchar(2);
  DECLARE @V_NEW_IDPRECDIFCOM        varchar(1);
  DECLARE @V_NEW_IDORIGVENDA         varchar(1);
  DECLARE @V_NEW_NRDIAFATVEND        varchar(2);
  DECLARE @V_NEW_IDPERDIGCONS        varchar(1);
  DECLARE @V_NEW_CDLOJA              varchar(10);
  DECLARE @V_NEW_NRDIASVENDA         varchar(3);
  DECLARE @V_NEW_IDTESESTCONS        varchar(1);
  DECLARE @V_NEW_IDCRIPTOCONS        varchar(1);
  DECLARE @V_NEW_QTDIGICOMAND        numeric(15);
  DECLARE @V_NEW_CDTIPOCONS          varchar(2);
  DECLARE @V_NEW_CDCCUSCLIE          varchar(10);
  DECLARE @V_NEW_IDPERMARCDUP        varchar(1);
  DECLARE @V_NEW_IDALTPRECO          varchar(1);
  DECLARE @V_NEW_CDTPCONSDUP         varchar(2);
  DECLARE @V_NEW_CDGRPRODPDV         varchar(10);
  DECLARE @V_NEW_NRPOSINICONS        double precision;
  DECLARE @V_NEW_NRPOSFINCONS        double precision;
  DECLARE @V_NEW_IDUTDLLEXSEG        varchar(1);
  DECLARE @V_NEW_CDPDVDLLSEG         varchar(10);
  DECLARE @V_NEW_CDPOODLLSEG         varchar(10);
  DECLARE @V_NEW_CDCXADLLSEG         varchar(10);
  DECLARE @V_NEW_QTMEDVENDDIA        double precision;
  DECLARE @V_NEW_IDUTSUBTCONS        varchar(1);
  DECLARE @V_NEW_CDCAIXACTRL         varchar(3);
  DECLARE @V_NEW_VRPEEMITROCO        double precision;
  DECLARE @V_NEW_DTINTESTCONS        datetime;
  DECLARE @V_NEW_DTINITESCONS        datetime;
  DECLARE @V_NEW_CDFORMATCOD         varchar(10);
  DECLARE @V_NEW_NRPOSINIOPT         varchar(5);
  DECLARE @V_NEW_NRPOSFIMOPT         varchar(5);
  DECLARE @V_NEW_DTULTATUPAVN        datetime;
  DECLARE @V_NEW_DTINICONSTOT        datetime;
  DECLARE @V_NEW_IDTIPMAPRESU        varchar(1);
  DECLARE @V_NEW_IDENTRSAIDOP        varchar(1);
  DECLARE @V_NEW_CDTIPOOPER          varchar(2);
  DECLARE @V_NEW_IDACRIMPOSTO        varchar(1);
  DECLARE @V_NEW_CDOPERADOR          varchar(12);
  DECLARE @V_NEW_CDPRODTAXSER        varchar(10);
  DECLARE @V_NEW_CDFILIALEXT         varchar(30);
  DECLARE @V_NEW_CDVERBACONS         varchar(10);
  DECLARE @V_NEW_CDVERBAEXCE         varchar(10);
  DECLARE @V_NEW_IDCALCVREXCE        char(1);
  DECLARE @V_NEW_VRREFNEGCLIE        double precision;
  DECLARE @V_NEW_IDSALDOINICUPOM     char(1);
  DECLARE @V_NEW_IDPREVCONSPDV       varchar(1);
  DECLARE @V_NEW_CDSERIECNTREC       varchar(5);
  DECLARE @V_NEW_CDTPOPERCNTREC      varchar(2);
  DECLARE @V_NEW_CDREDUCONT          varchar(3);
  DECLARE @V_NEW_CDTPBAIXAREC        varchar(2);
  DECLARE @V_NEW_IDGERACAOTC         varchar(1);  
  DECLARE @V_NEW_IDPERCONVESTNEG     varchar(1);
  DECLARE @V_NEW_IDIMPSALDOCUPOM     varchar(1);
  DECLARE @V_NEW_IDUTILMODPROD       varchar(1);   
  DECLARE @V_NEW_NRDIASVERMOVCLI     numeric(2);                                                                                                                                                                                     
  DECLARE @V_NEW_IDUTCONFCADCONS     VARCHAR(1);                                                                                                                                                                                    
  DECLARE @V_NEW_IDRECBOLETBANC      VARCHAR(1);                                                                                                                                                                                   
  DECLARE @V_NEW_IDRECBANCOITAU      VARCHAR(1);                                                                                                                                                                                   
  DECLARE @V_NEW_IDRECBANCOBRADE     VARCHAR(1);
  DECLARE @V_NEW_IDCONDESCTXSERV     VARCHAR(1);
  DECLARE @V_NEW_IDPREVDSALDO        VARCHAR(1);
  DECLARE @V_NEW_IDCONSDESCTXSERV     VARCHAR(1);

  DECLARE @V_OLD_CDFILIAL            varchar(4);
  DECLARE @V_OLD_CDPARAVEND          varchar(1);
  DECLARE @V_OLD_CDPRODUTO           varchar(10);
  DECLARE @V_OLD_CDCLIENTE           varchar(21);
  DECLARE @V_OLD_NMULTIMOTXT         varchar(50);
  DECLARE @V_OLD_IDCONSUMIOBR        varchar(1);
  DECLARE @V_OLD_QTDIGCDIDCON        numeric(15);
  DECLARE @V_OLD_CDDIGCDIDCON        varchar(10);
  DECLARE @V_OLD_IDATUEST            varchar(1);
  DECLARE @V_OLD_CDSERVFILI          varchar(5);
  DECLARE @V_OLD_IDSERVPAD           varchar(1);
  DECLARE @V_OLD_IDIMPCUPFIS         varchar(1);
  DECLARE @V_OLD_CDEMPRESA           varchar(2);
  DECLARE @V_OLD_CDINSCESTA          varchar(16);
  DECLARE @V_OLD_CDINSCMUNI          varchar(16);
  DECLARE @V_OLD_CDSERIE             varchar(5);
  DECLARE @V_OLD_CDTABEPREC          varchar(3);
  DECLARE @V_OLD_IDFORMAPRECO        varchar(1);
  DECLARE @V_OLD_IDCUSFOPRECO        varchar(2);
  DECLARE @V_OLD_IDPRECDIFCOM        varchar(1);
  DECLARE @V_OLD_IDORIGVENDA         varchar(1);
  DECLARE @V_OLD_NRDIAFATVEND        varchar(2);
  DECLARE @V_OLD_IDPERDIGCONS        varchar(1);
  DECLARE @V_OLD_CDLOJA              varchar(10);
  DECLARE @V_OLD_NRDIASVENDA         varchar(3);
  DECLARE @V_OLD_IDTESESTCONS        varchar(1);
  DECLARE @V_OLD_IDCRIPTOCONS        varchar(1);
  DECLARE @V_OLD_QTDIGICOMAND        numeric(15);
  DECLARE @V_OLD_CDTIPOCONS          varchar(2);
  DECLARE @V_OLD_CDCCUSCLIE          varchar(10);
  DECLARE @V_OLD_IDPERMARCDUP        varchar(1);
  DECLARE @V_OLD_IDALTPRECO          varchar(1);
  DECLARE @V_OLD_CDTPCONSDUP         varchar(2);
  DECLARE @V_OLD_CDGRPRODPDV         varchar(10);
  DECLARE @V_OLD_NRPOSINICONS        double precision;
  DECLARE @V_OLD_NRPOSFINCONS        double precision;
  DECLARE @V_OLD_IDUTDLLEXSEG        varchar(1);
  DECLARE @V_OLD_CDPDVDLLSEG         varchar(10);
  DECLARE @V_OLD_CDPOODLLSEG         varchar(10);
  DECLARE @V_OLD_CDCXADLLSEG         varchar(10);
  DECLARE @V_OLD_QTMEDVENDDIA        double precision;
  DECLARE @V_OLD_IDUTSUBTCONS        varchar(1);
  DECLARE @V_OLD_CDCAIXACTRL         varchar(3);
  DECLARE @V_OLD_VRPEEMITROCO        double precision;
  DECLARE @V_OLD_DTINTESTCONS        datetime;
  DECLARE @V_OLD_DTINITESCONS        datetime;
  DECLARE @V_OLD_CDFORMATCOD         varchar(10);
  DECLARE @V_OLD_NRPOSINIOPT         varchar(5);
  DECLARE @V_OLD_NRPOSFIMOPT         varchar(5);
  DECLARE @V_OLD_DTULTATUPAVN        datetime;
  DECLARE @V_OLD_DTINICONSTOT        datetime;
  DECLARE @V_OLD_IDTIPMAPRESU        varchar(1);
  DECLARE @V_OLD_IDENTRSAIDOP        varchar(1);
  DECLARE @V_OLD_CDTIPOOPER          varchar(2);
  DECLARE @V_OLD_IDACRIMPOSTO        varchar(1);
  DECLARE @V_OLD_CDOPERADOR          varchar(12);
  DECLARE @V_OLD_CDPRODTAXSER        varchar(10);
  DECLARE @V_OLD_CDFILIALEXT         varchar(30);
  DECLARE @V_OLD_CDVERBACONS         varchar(10);
  DECLARE @V_OLD_CDVERBAEXCE         varchar(10);
  DECLARE @V_OLD_IDCALCVREXCE        char(1);
  DECLARE @V_OLD_VRREFNEGCLIE        double precision;
  DECLARE @V_OLD_IDSALDOINICUPOM     char(1);
  DECLARE @V_OLD_IDPREVCONSPDV       varchar(1);
  DECLARE @V_OLD_CDSERIECNTREC       varchar(5);
  DECLARE @V_OLD_CDTPOPERCNTREC      varchar(2);
  DECLARE @V_OLD_CDREDUCONT          varchar(3);
  DECLARE @V_OLD_CDTPBAIXAREC        varchar(2);
  DECLARE @V_OLD_IDGERACAOTC         varchar(1);  
  DECLARE @V_OLD_IDPERCONVESTNEG     varchar(1);
  DECLARE @V_OLD_IDIMPSALDOCUPOM     varchar(1);
  DECLARE @V_OLD_IDUTILMODPROD       varchar(1);   
  DECLARE @V_OLD_NRDIASVERMOVCLI     numeric(2);                                                                                                                                                                                     
  DECLARE @V_OLD_IDUTCONFCADCONS     VARCHAR(1);                                                                                                                                                                                 
  DECLARE @V_OLD_IDRECBOLETBANC      VARCHAR(1);                                                                                                                                                                                   
  DECLARE @V_OLD_IDRECBANCOITAU      VARCHAR(1);                                                                                                                                                                                   
  DECLARE @V_OLD_IDRECBANCOBRADE     VARCHAR(1);
  DECLARE @V_OLD_IDCONDESCTXSERV     VARCHAR(1);
  DECLARE @V_OLD_IDPREVDSALDO        VARCHAR(1);
  DECLARE @V_OLD_IDCONSDESCTXSERV     VARCHAR(1);

BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/

   SET @V_DESC   = '';
   SET @V_ITPESQ     = '';
   SET @V_NMOPERADOR = '';
   SET @V_IDTIPOOPER = '';

   EXEC NMUSUARIO @P_NMUSUARIO = @V_NMOPERADOR OUTPUT;
   SET @V_NMOPERADOR = ISNULL(@V_NMOPERADOR, ' ');

   EXEC WEBTUNNING  @P_DSREMOTEADDR = @V_DSREMOTEADDR OUTPUT,
                    @P_DSREMOTEHOST = @V_DSREMOTEHOST OUTPUT,
                    @P_DSSERVERRDM  = @V_DSSERVERRDM OUTPUT,
                    @P_DSSERVMETHOD = @V_DSSERVMETHOD OUTPUT,
                    @P_DSREMOTEOPER = @V_DSREMOTEOPER OUTPUT;

   DECLARE C_CURSOR CURSOR FOR
     SELECT
     'D'   ID_COMANDO,        
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
		   NULL, NULL,
           
           CDFILIAL,           CDPARAVEND,           CDPRODUTO,           CDCLIENTE,
           NMULTIMOTXT ,           IDCONSUMIOBR,           QTDIGCDIDCON,           CDDIGCDIDCON,
           IDATUEST,           CDSERVFILI,           IDSERVPAD,           IDIMPCUPFIS ,
           CDEMPRESA,           CDINSCESTA,           CDINSCMUNI,           CDSERIE ,
           CDTABEPREC,           IDFORMAPRECO,           IDCUSFOPRECO,           IDPRECDIFCOM,
           IDORIGVENDA ,           NRDIAFATVEND,           IDPERDIGCONS,           CDLOJA,
           NRDIASVENDA ,           IDTESESTCONS,           IDCRIPTOCONS,           QTDIGICOMAND,
           CDTIPOCONS,           CDCCUSCLIE,           IDPERMARCDUP,           IDALTPRECO,
           CDTPCONSDUP,           CDGRPRODPDV,           NRPOSINICONS,           NRPOSFINCONS,
           IDUTDLLEXSEG,           CDPDVDLLSEG,           CDPOODLLSEG,           CDCXADLLSEG,
           QTMEDVENDDIA,           IDUTSUBTCONS,           CDCAIXACTRL,           VRPEEMITROCO,
           DTINTESTCONS,           DTINITESCONS,           CDFORMATCOD,           NRPOSINIOPT,
           NRPOSFIMOPT,           DTULTATUPAVN,           DTINICONSTOT,           IDTIPMAPRESU,
           IDENTRSAIDOP,           CDTIPOOPER,           IDACRIMPOSTO,           CDOPERADOR,
           CDPRODTAXSER,           CDFILIALEXT,           CDVERBACONS,           CDVERBAEXCE,
           IDCALCVREXCE,           VRREFNEGCLIE,           IDSALDOINICUPOM,           IDPREVCONSPDV,
           CDSERIECNTREC,           CDTPOPERCNTREC,           CDREDUCONT,           CDTPBAIXAREC,
           IDGERACAOTC,           IDPERCONVESTNEG,           IDIMPSALDOCUPOM,           IDUTILMODPROD,
           NRDIASVERMOVCLI,           IDUTCONFCADCONS,           IDRECBOLETBANC,           IDRECBANCOITAU,
           IDRECBANCOBRADE,           IDCONDESCTXSERV, IDPREVDSALDO, IDCONSDESCTXSERV
     FROM
           DELETED
     WHERE     
           CDFILIAL+CDPARAVEND NOT IN (SELECT CDFILIAL+CDPARAVEND FROM INSERTED)
     UNION ALL

     SELECT
     'U'   IDCOMANDO,
           INSERTED.CDFILIAL,           INSERTED.CDPARAVEND,           INSERTED.CDPRODUTO,           INSERTED.CDCLIENTE,
           INSERTED.NMULTIMOTXT,           INSERTED.IDCONSUMIOBR,           INSERTED.QTDIGCDIDCON,           INSERTED.CDDIGCDIDCON,
           INSERTED.IDATUEST,           INSERTED.CDSERVFILI,           INSERTED.IDSERVPAD,           INSERTED.IDIMPCUPFIS,
           INSERTED.CDEMPRESA,           INSERTED.CDINSCESTA,           INSERTED.CDINSCMUNI,           INSERTED.CDSERIE,
           INSERTED.CDTABEPREC,           INSERTED.IDFORMAPRECO,           INSERTED.IDCUSFOPRECO,           INSERTED.IDPRECDIFCOM,
           INSERTED.IDORIGVENDA,           INSERTED.NRDIAFATVEND,           INSERTED.IDPERDIGCONS,           INSERTED.CDLOJA,
           INSERTED.NRDIASVENDA,           INSERTED.IDTESESTCONS,           INSERTED.IDCRIPTOCONS,           INSERTED.QTDIGICOMAND,
           INSERTED.CDTIPOCONS,           INSERTED.CDCCUSCLIE,           INSERTED.IDPERMARCDUP,           INSERTED.IDALTPRECO,
           INSERTED.CDTPCONSDUP,           INSERTED.CDGRPRODPDV,           INSERTED.NRPOSINICONS,           INSERTED.NRPOSFINCONS,
           INSERTED.IDUTDLLEXSEG,           INSERTED.CDPDVDLLSEG,           INSERTED.CDPOODLLSEG,           INSERTED.CDCXADLLSEG,
           INSERTED.QTMEDVENDDIA,           INSERTED.IDUTSUBTCONS,           INSERTED.CDCAIXACTRL,           INSERTED.VRPEEMITROCO,
           INSERTED.DTINTESTCONS,           INSERTED.DTINITESCONS,           INSERTED.CDFORMATCOD,           INSERTED.NRPOSINIOPT,
           INSERTED.NRPOSFIMOPT,           INSERTED.DTULTATUPAVN,           INSERTED.DTINICONSTOT,           INSERTED.IDTIPMAPRESU,
           INSERTED.IDENTRSAIDOP,           INSERTED.CDTIPOOPER,           INSERTED.IDACRIMPOSTO,           INSERTED.CDOPERADOR,
           INSERTED.CDPRODTAXSER,           INSERTED.CDFILIALEXT,           INSERTED.CDVERBACONS,           INSERTED.CDVERBAEXCE,
           INSERTED.IDCALCVREXCE,           INSERTED.VRREFNEGCLIE,           INSERTED.IDSALDOINICUPOM,           INSERTED.IDPREVCONSPDV,
           INSERTED.CDSERIECNTREC,           INSERTED.CDTPOPERCNTREC,           INSERTED.CDREDUCONT,           INSERTED.CDTPBAIXAREC,
           INSERTED.IDGERACAOTC,           INSERTED.IDPERCONVESTNEG,           INSERTED.IDIMPSALDOCUPOM,           INSERTED.IDUTILMODPROD,
           INSERTED.NRDIASVERMOVCLI,           INSERTED.IDUTCONFCADCONS,           INSERTED.IDRECBOLETBANC,           INSERTED.IDRECBANCOITAU,
           INSERTED.IDRECBANCOBRADE,           INSERTED.IDCONDESCTXSERV, INSERTED.IDPREVDSALDO, INSERTED.IDCONSDESCTXSERV

           DELETED.CDFILIAL,           DELETED.CDPARAVEND,           DELETED.CDPRODUTO,           DELETED.CDCLIENTE,
           DELETED.NMULTIMOTXT,           DELETED.IDCONSUMIOBR,           DELETED.QTDIGCDIDCON,           DELETED.CDDIGCDIDCON,
           DELETED.IDATUEST,           DELETED.CDSERVFILI,           DELETED.IDSERVPAD,           DELETED.IDIMPCUPFIS,
           DELETED.CDEMPRESA,           DELETED.CDINSCESTA,           DELETED.CDINSCMUNI,           DELETED.CDSERIE,
           DELETED.CDTABEPREC,           DELETED.IDFORMAPRECO,           DELETED.IDCUSFOPRECO,           DELETED.IDPRECDIFCOM,
           DELETED.IDORIGVENDA,           DELETED.NRDIAFATVEND,           DELETED.IDPERDIGCONS,           DELETED.CDLOJA,
           DELETED.NRDIASVENDA,           DELETED.IDTESESTCONS,           DELETED.IDCRIPTOCONS,           DELETED.QTDIGICOMAND,
           DELETED.CDTIPOCONS,           DELETED.CDCCUSCLIE,           DELETED.IDPERMARCDUP,           DELETED.IDALTPRECO,
           DELETED.CDTPCONSDUP,           DELETED.CDGRPRODPDV,           DELETED.NRPOSINICONS,           DELETED.NRPOSFINCONS,
           DELETED.IDUTDLLEXSEG,           DELETED.CDPDVDLLSEG,           DELETED.CDPOODLLSEG,           DELETED.CDCXADLLSEG,
           DELETED.QTMEDVENDDIA,           DELETED.IDUTSUBTCONS,           DELETED.CDCAIXACTRL,           DELETED.VRPEEMITROCO,
           DELETED.DTINTESTCONS,           DELETED.DTINITESCONS,           DELETED.CDFORMATCOD,           DELETED.NRPOSINIOPT,
           DELETED.NRPOSFIMOPT,           DELETED.DTULTATUPAVN,           DELETED.DTINICONSTOT,           DELETED.IDTIPMAPRESU,
           DELETED.IDENTRSAIDOP,           DELETED.CDTIPOOPER,           DELETED.IDACRIMPOSTO,           DELETED.CDOPERADOR,
           DELETED.CDPRODTAXSER,           DELETED.CDFILIALEXT,           DELETED.CDVERBACONS,           DELETED.CDVERBAEXCE,
           DELETED.IDCALCVREXCE,           DELETED.VRREFNEGCLIE,           DELETED.IDSALDOINICUPOM,           DELETED.IDPREVCONSPDV,
           DELETED.CDSERIECNTREC,           DELETED.CDTPOPERCNTREC,           DELETED.CDREDUCONT,          DELETED.CDTPBAIXAREC,
           DELETED.IDGERACAOTC,           DELETED.IDPERCONVESTNEG,           DELETED.IDIMPSALDOCUPOM,           DELETED.IDUTILMODPROD,
           DELETED.NRDIASVERMOVCLI,           DELETED.IDUTCONFCADCONS,           DELETED.IDRECBOLETBANC,           DELETED.IDRECBANCOITAU,
           DELETED.IDRECBANCOBRADE,           DELETED.IDCONDESCTXSERV, DELETED.IDPREVDSALDO,  DELETED.IDCONSDESCTXSERV

     FROM
          INSERTED,
          DELETED
     WHERE     
           DELETED.CDFILIAL   = INSERTED.CDFILIAL AND
           DELETED.CDPARAVEND = INSERTED.CDPARAVEND
     UNION ALL

     SELECT
     'I'   IDCOMANDO,
           INSERTED.CDFILIAL,           INSERTED.CDPARAVEND,           INSERTED.CDPRODUTO,           INSERTED.CDCLIENTE,
           INSERTED.NMULTIMOTXT,           INSERTED.IDCONSUMIOBR,           INSERTED.QTDIGCDIDCON,           INSERTED.CDDIGCDIDCON,
           INSERTED.IDATUEST,           INSERTED.CDSERVFILI,           INSERTED.IDSERVPAD,           INSERTED.IDIMPCUPFIS,
           INSERTED.CDEMPRESA,           INSERTED.CDINSCESTA,           INSERTED.CDINSCMUNI,           INSERTED.CDSERIE,
           INSERTED.CDTABEPREC,           INSERTED.IDFORMAPRECO,           INSERTED.IDCUSFOPRECO,           INSERTED.IDPRECDIFCOM,
           INSERTED.IDORIGVENDA,           INSERTED.NRDIAFATVEND,           INSERTED.IDPERDIGCONS,           INSERTED.CDLOJA,
           INSERTED.NRDIASVENDA,           INSERTED.IDTESESTCONS,           INSERTED.IDCRIPTOCONS,           INSERTED.QTDIGICOMAND,
           INSERTED.CDTIPOCONS,           INSERTED.CDCCUSCLIE,           INSERTED.IDPERMARCDUP,           INSERTED.IDALTPRECO,
           INSERTED.CDTPCONSDUP,           INSERTED.CDGRPRODPDV,           INSERTED.NRPOSINICONS,           INSERTED.NRPOSFINCONS,
           INSERTED.IDUTDLLEXSEG,           INSERTED.CDPDVDLLSEG,           INSERTED.CDPOODLLSEG,           INSERTED.CDCXADLLSEG,
           INSERTED.QTMEDVENDDIA,           INSERTED.IDUTSUBTCONS,           INSERTED.CDCAIXACTRL,           INSERTED.VRPEEMITROCO,
           INSERTED.DTINTESTCONS,           INSERTED.DTINITESCONS,           INSERTED.CDFORMATCOD,           INSERTED.NRPOSINIOPT,
           INSERTED.NRPOSFIMOPT,           INSERTED.DTULTATUPAVN,           INSERTED.DTINICONSTOT,           INSERTED.IDTIPMAPRESU,
           INSERTED.IDENTRSAIDOP,           INSERTED.CDTIPOOPER,           INSERTED.IDACRIMPOSTO,           INSERTED.CDOPERADOR,
           INSERTED.CDPRODTAXSER,           INSERTED.CDFILIALEXT,           INSERTED.CDVERBACONS,           INSERTED.CDVERBAEXCE,
           INSERTED.IDCALCVREXCE,           INSERTED.VRREFNEGCLIE,           INSERTED.IDSALDOINICUPOM,           INSERTED.IDPREVCONSPDV,
           INSERTED.CDSERIECNTREC,           INSERTED.CDTPOPERCNTREC,           INSERTED.CDREDUCONT,           INSERTED.CDTPBAIXAREC,
           INSERTED.IDGERACAOTC,           INSERTED.IDPERCONVESTNEG,           INSERTED.IDIMPSALDOCUPOM,           INSERTED.IDUTILMODPROD,
           INSERTED.NRDIASVERMOVCLI,           INSERTED.IDUTCONFCADCONS,           INSERTED.IDRECBOLETBANC,           INSERTED.IDRECBANCOITAU,
           INSERTED.IDRECBANCOBRADE,           INSERTED.IDCONDESCTXSERV, INSERTED.IDPREVDSALDO, INSERTED.IDCONSDESCTXSERV

	       NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
		   NULL, NULL
            
     FROM  
           INSERTED
     WHERE 
           CDFILIAL+CDPARAVEND NOT IN (SELECT CDFILIAL+CDPARAVEND FROM DELETED)

     OPEN C_CURSOR;
        FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,

                                      @V_NEW_CDFILIAL,@V_NEW_CDPARAVEND,@V_NEW_CDPRODUTO,@V_NEW_CDCLIENTE,
                                      @V_NEW_NMULTIMOTXT,@V_NEW_IDCONSUMIOBR,@V_NEW_QTDIGCDIDCON,@V_NEW_CDDIGCDIDCON,
                                      @V_NEW_IDATUEST,@V_NEW_CDSERVFILI,@V_NEW_IDSERVPAD,@V_NEW_IDIMPCUPFIS,
                                      @V_NEW_CDEMPRESA,@V_NEW_CDINSCESTA,@V_NEW_CDINSCMUNI,@V_NEW_CDSERIE,
                                      @V_NEW_CDTABEPREC,@V_NEW_IDFORMAPRECO,@V_NEW_IDCUSFOPRECO,@V_NEW_IDPRECDIFCOM,
                                      @V_NEW_IDORIGVENDA,@V_NEW_NRDIAFATVEND,@V_NEW_IDPERDIGCONS,@V_NEW_CDLOJA,
                                      @V_NEW_NRDIASVENDA,@V_NEW_IDTESESTCONS,@V_NEW_IDCRIPTOCONS,@V_NEW_QTDIGICOMAND,
                                      @V_NEW_CDTIPOCONS,@V_NEW_CDCCUSCLIE,@V_NEW_IDPERMARCDUP,@V_NEW_IDALTPRECO,
                                      @V_NEW_CDTPCONSDUP,@V_NEW_CDGRPRODPDV,@V_NEW_NRPOSINICONS,@V_NEW_NRPOSFINCONS,
                                      @V_NEW_IDUTDLLEXSEG,@V_NEW_CDPDVDLLSEG,@V_NEW_CDPOODLLSEG,@V_NEW_CDCXADLLSEG,
                                      @V_NEW_QTMEDVENDDIA,@V_NEW_IDUTSUBTCONS,@V_NEW_CDCAIXACTRL,@V_NEW_VRPEEMITROCO,
                                      @V_NEW_DTINTESTCONS,@V_NEW_DTINITESCONS,@V_NEW_CDFORMATCOD,@V_NEW_NRPOSINIOPT,
                                      @V_NEW_NRPOSFIMOPT,@V_NEW_DTULTATUPAVN,@V_NEW_DTINICONSTOT,@V_NEW_IDTIPMAPRESU,
                                      @V_NEW_IDENTRSAIDOP,@V_NEW_CDTIPOOPER,@V_NEW_IDACRIMPOSTO,@V_NEW_CDOPERADOR,
                                      @V_NEW_CDPRODTAXSER,@V_NEW_CDFILIALEXT,@V_NEW_CDVERBACONS,@V_NEW_CDVERBAEXCE,
                                      @V_NEW_IDCALCVREXCE,@V_NEW_VRREFNEGCLIE,@V_NEW_IDSALDOINICUPOM,@V_NEW_IDPREVCONSPDV,
                                      @V_NEW_CDSERIECNTREC,@V_NEW_CDTPOPERCNTREC,@V_NEW_CDREDUCONT,@V_NEW_CDTPBAIXAREC,
                                      @V_NEW_IDGERACAOTC,@V_NEW_IDPERCONVESTNEG,@V_NEW_IDIMPSALDOCUPOM,@V_NEW_IDUTILMODPROD,
                                      @V_NEW_NRDIASVERMOVCLI,@V_NEW_IDUTCONFCADCONS,@V_NEW_IDRECBOLETBANC,@V_NEW_IDRECBANCOITAU,
                                      @V_NEW_IDRECBANCOBRADE,@V_NEW_IDCONDESCTXSERV, @V_NEW_IDPREVDSALDO, @V_NEW_IDCONSDESCTXSERV,

                                      @V_OLD_CDFILIAL,@V_OLD_CDPARAVEND,@V_OLD_CDPRODUTO,@V_OLD_CDCLIENTE,
                                      @V_OLD_NMULTIMOTXT,@V_OLD_IDCONSUMIOBR,@V_OLD_QTDIGCDIDCON,@V_OLD_CDDIGCDIDCON,
                                      @V_OLD_IDATUEST,@V_OLD_CDSERVFILI,@V_OLD_IDSERVPAD,@V_OLD_IDIMPCUPFIS,
                                      @V_OLD_CDEMPRESA,@V_OLD_CDINSCESTA,@V_OLD_CDINSCMUNI,@V_OLD_CDSERIE,
                                      @V_OLD_CDTABEPREC,@V_OLD_IDFORMAPRECO,@V_OLD_IDCUSFOPRECO,@V_OLD_IDPRECDIFCOM,
                                      @V_OLD_IDORIGVENDA,@V_OLD_NRDIAFATVEND,@V_OLD_IDPERDIGCONS,@V_OLD_CDLOJA,
                                      @V_OLD_NRDIASVENDA,@V_OLD_IDTESESTCONS,@V_OLD_IDCRIPTOCONS,@V_OLD_QTDIGICOMAND,
                                      @V_OLD_CDTIPOCONS,@V_OLD_CDCCUSCLIE,@V_OLD_IDPERMARCDUP,@V_OLD_IDALTPRECO,
                                      @V_OLD_CDTPCONSDUP,@V_OLD_CDGRPRODPDV,@V_OLD_NRPOSINICONS,@V_OLD_NRPOSFINCONS,
                                      @V_OLD_IDUTDLLEXSEG,@V_OLD_CDPDVDLLSEG,@V_OLD_CDPOODLLSEG,@V_OLD_CDCXADLLSEG,
                                      @V_OLD_QTMEDVENDDIA,@V_OLD_IDUTSUBTCONS,@V_OLD_CDCAIXACTRL,@V_OLD_VRPEEMITROCO,
                                      @V_OLD_DTINTESTCONS,@V_OLD_DTINITESCONS,@V_OLD_CDFORMATCOD,@V_OLD_NRPOSINIOPT,
                                      @V_OLD_NRPOSFIMOPT,@V_OLD_DTULTATUPAVN,@V_OLD_DTINICONSTOT,@V_OLD_IDTIPMAPRESU,
                                      @V_OLD_IDENTRSAIDOP,@V_OLD_CDTIPOOPER,@V_OLD_IDACRIMPOSTO,@V_OLD_CDOPERADOR,
                                      @V_OLD_CDPRODTAXSER,@V_OLD_CDFILIALEXT,@V_OLD_CDVERBACONS,@V_OLD_CDVERBAEXCE,
                                      @V_OLD_IDCALCVREXCE,@V_OLD_VRREFNEGCLIE,@V_OLD_IDSALDOINICUPOM,@V_OLD_IDPREVCONSPDV,
                                      @V_OLD_CDSERIECNTREC,@V_OLD_CDTPOPERCNTREC,@V_OLD_CDREDUCONT,@V_OLD_CDTPBAIXAREC,
                                      @V_OLD_IDGERACAOTC,@V_OLD_IDPERCONVESTNEG,@V_OLD_IDIMPSALDOCUPOM,@V_OLD_IDUTILMODPROD,
                                      @V_OLD_NRDIASVERMOVCLI,@V_OLD_IDUTCONFCADCONS,@V_OLD_IDRECBOLETBANC,@V_OLD_IDRECBANCOITAU,
                                      @V_OLD_IDRECBANCOBRADE,@V_OLD_IDCONDESCTXSERV, @V_OLD_IDPREVDSALDO, @V_OLD_IDCONSDESCTXSERV

   WHILE (@@FETCH_STATUS = 0) BEGIN

        IF @V_ID_COMANDO= 'D' /*DELEO*/ BEGIN
	   IF @V_OLD_CDFILIAL IS NOT NULL BEGIN 
	      SET @V_DESC = ' ' + 'Filial' + @V_OLD_CDFILIAL;
	   END;
	   IF @V_OLD_CDPARAVEND IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPARAVEND ' + ISNULL(@V_OLD_CDPARAVEND,'' );
	   END;
	   IF @V_OLD_CDPRODUTO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPRODUTO ' + ISNULL(@V_OLD_CDPRODUTO,'' );
	   END;
	   IF @V_OLD_CDCLIENTE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' Cliente ' + ISNULL(@V_OLD_CDCLIENTE,'' );
	   END;
	   IF @V_OLD_NMULTIMOTXT IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NMULTIMOTXT ' + ISNULL(@V_OLD_NMULTIMOTXT,'' );
	   END;
	   IF @V_OLD_IDCONSUMIOBR IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCONSUMIOBR ' + ISNULL(@V_OLD_IDCONSUMIOBR,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_QTDIGCDIDCON) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' QTDIGCDIDCON ' + CONVERT(VARCHAR,@V_OLD_QTDIGCDIDCON);
	   END;
	   IF @V_OLD_CDDIGCDIDCON IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDDIGCDIDCON ' + ISNULL(@V_OLD_CDDIGCDIDCON,'' );
	   END;
	   IF @V_OLD_IDATUEST IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDATUEST ' + ISNULL(@V_OLD_IDATUEST,'' );
	   END;
	   IF @V_OLD_CDSERVFILI IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDSERVFILI ' + ISNULL(@V_OLD_CDSERVFILI,'' );
	   END;
	   IF @V_OLD_IDSERVPAD IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDSERVPAD ' + ISNULL(@V_OLD_IDSERVPAD,'' );
	   END;
	   IF @V_OLD_IDIMPCUPFIS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCUPFIS ' + ISNULL(@V_OLD_IDIMPCUPFIS,'' );
	   END;
	   IF @V_OLD_CDEMPRESA IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDEMPRESA ' + ISNULL(@V_OLD_CDEMPRESA,'' );
	   END;
	   IF @V_OLD_CDINSCESTA IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDINSCESTA ' + ISNULL(@V_OLD_CDINSCESTA,'' );
	   END;
	   IF @V_OLD_CDINSCMUNI IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDINSCMUNI ' + ISNULL(@V_OLD_CDINSCMUNI,'' );
	   END;
	   IF @V_OLD_CDSERIE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDSERIE ' + ISNULL(@V_OLD_CDSERIE,'' );
	   END;
	   IF @V_OLD_CDTABEPREC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTABEPREC ' + ISNULL(@V_OLD_CDTABEPREC,'' );
	   END;
	   IF @V_OLD_IDFORMAPRECO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTABEPREC ' + ISNULL(@V_OLD_CDTABEPREC,'' );
	   END;
	   IF @V_OLD_IDCUSFOPRECO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCUSFOPRECO ' + ISNULL(@V_OLD_IDCUSFOPRECO,'' );
	   END;
	   IF @V_OLD_IDPRECDIFCOM IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPRECDIFCOM ' + ISNULL(@V_OLD_IDPRECDIFCOM,'' );
	   END;
	   IF @V_OLD_IDORIGVENDA IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDORIGVENDA ' + ISNULL(@V_OLD_IDORIGVENDA,'' );
	   END;
	   IF @V_OLD_NRDIAFATVEND IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIAFATVEND ' + ISNULL(@V_OLD_NRDIAFATVEND,'' );
	   END;
	   IF @V_OLD_IDPERDIGCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERDIGCONS ' + ISNULL(@V_OLD_IDPERDIGCONS,'' );
	   END;
	   IF @V_OLD_CDLOJA IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' Loja ' + ISNULL(@V_OLD_CDLOJA,'' );
	   END;
	   IF @V_OLD_NRDIASVENDA IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASVENDA ' + ISNULL(@V_OLD_NRDIASVENDA,'' );
	   END;
	   IF @V_OLD_IDTESESTCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDTESESTCONS ' + ISNULL(@V_OLD_IDTESESTCONS,'' );
	   END;
	   IF @V_OLD_IDCRIPTOCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCRIPTOCONS ' + ISNULL(@V_OLD_IDCRIPTOCONS,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_QTDIGICOMAND) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' QTDIGICOMAND ' + CONVERT(VARCHAR,@V_OLD_QTDIGICOMAND);
	   END;
	   IF @V_OLD_CDTIPOCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTIPOCONS ' + ISNULL(@V_OLD_CDTIPOCONS,'' );
	   END;
	   IF @V_OLD_CDCCUSCLIE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCCUSCLIE ' + ISNULL(@V_OLD_CDCCUSCLIE,'' );
	   END;
	   IF @V_OLD_IDPERMARCDUP IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERMARCDUP ' + ISNULL(@V_OLD_IDPERMARCDUP,'' );
	   END;
	   IF @V_OLD_IDALTPRECO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDALTPRECO ' + ISNULL(@V_OLD_IDALTPRECO,'' );
	   END;
	   IF @V_OLD_CDTPCONSDUP IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTPCONSDUP ' + ISNULL(@V_OLD_CDTPCONSDUP,'' );
	   END;
	   IF @V_OLD_CDGRPRODPDV IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDGRPRODPDV ' + ISNULL(@V_OLD_CDGRPRODPDV,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_NRPOSINICONS) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINICONS ' + @V_OLD_NRPOSINICONS;
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_NRPOSFINCONS) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + 'NRPOSFINCONS ' + CONVERT(VARCHAR,@V_OLD_NRPOSFINCONS);
	   END;
	   IF @V_OLD_IDUTDLLEXSEG IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTDLLEXSEG ' + ISNULL(@V_OLD_IDUTDLLEXSEG,'' );
	   END;
	   IF @V_OLD_CDPDVDLLSEG IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPDVDLLSEG ' + ISNULL(@V_OLD_CDPDVDLLSEG,'' );
	   END;
	   IF @V_OLD_CDPOODLLSEG IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPOODLLSEG ' + ISNULL(@V_OLD_CDPOODLLSEG,'' );
	   END;
	   IF @V_OLD_CDCXADLLSEG IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCXADLLSEG ' + ISNULL(@V_OLD_CDCXADLLSEG,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_QTMEDVENDDIA ) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' QTMEDVENDDIA ' + CONVERT(VARCHAR,@V_OLD_QTMEDVENDDIA );
	   END;
	   IF @V_OLD_IDUTSUBTCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTSUBTCONS ' + ISNULL(@V_OLD_IDUTSUBTCONS,'' );
	   END;
	   IF @V_OLD_CDCAIXACTRL IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCAIXACTRL ' + ISNULL(@V_OLD_CDCAIXACTRL,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_VRPEEMITROCO) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' VRPEEMITROCO ' + CONVERT(VARCHAR,@V_OLD_VRPEEMITROCO);
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_DTINTESTCONS) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTINTESTCONS ' + CONVERT(VARCHAR,@V_OLD_DTINTESTCONS);
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_DTINITESCONS) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTINITESCONS ' + CONVERT(VARCHAR,@V_OLD_DTINITESCONS);
	   END;
	   IF @V_OLD_CDFORMATCOD IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDFORMATCOD ' + ISNULL(@V_OLD_CDFORMATCOD,'' );
	   END;
	   IF @V_OLD_NRPOSINIOPT IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINIOPT ' + ISNULL(@V_OLD_NRPOSINIOPT,'' );
	   END;
	   IF @V_OLD_NRPOSFIMOPT IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFIMOPT ' + ISNULL(@V_OLD_NRPOSFIMOPT,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_DTULTATUPAVN) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTULTATUPAVN ' + CONVERT(VARCHAR,@V_OLD_DTULTATUPAVN);
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_DTINICONSTOT) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTINICONSTOT ' + CONVERT(VARCHAR,@V_OLD_DTINICONSTOT);
	   END;
	   IF @V_OLD_IDTIPMAPRESU IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDTIPMAPRESU ' + ISNULL(@V_OLD_IDTIPMAPRESU,'' );
	   END;
	   IF @V_OLD_IDENTRSAIDOP IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDENTRSAIDOP ' + ISNULL(@V_OLD_IDENTRSAIDOP,'' );
	   END;
	   IF @V_OLD_CDTIPOOPER IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTIPOOPER ' + ISNULL(@V_OLD_CDTIPOOPER,'' );
	   END;
	   IF @V_OLD_IDACRIMPOSTO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDACRIMPOSTO ' + ISNULL(@V_OLD_IDACRIMPOSTO,'' );
	   END;
	   IF @V_OLD_CDOPERADOR IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' OPERADOR ' + ISNULL(@V_OLD_CDOPERADOR,'' );
	   END;
	   IF @V_OLD_CDPRODTAXSER IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPRODTAXSER ' + ISNULL(@V_OLD_CDPRODTAXSER,'' );
	   END;
	   IF @V_OLD_CDFILIALEXT IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDFILIALEXT ' + ISNULL(@V_OLD_CDFILIALEXT,'' );
	   END;
	   IF @V_OLD_CDVERBACONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDVERBACONS ' + ISNULL(@V_OLD_CDVERBACONS,'' );
	   END;
	   IF @V_OLD_CDVERBAEXCE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDVERBAEXCE ' + ISNULL(@V_OLD_CDVERBAEXCE,'' );
	   END;
	   IF @V_OLD_IDCALCVREXCE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCALCVREXCE ' + ISNULL(@V_OLD_IDCALCVREXCE,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_VRREFNEGCLIE) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' VRREFNEGCLIE ' + CONVERT(VARCHAR,@V_OLD_VRREFNEGCLIE);
	   END;
	   IF @V_OLD_IDSALDOINICUPOM IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDSALDOINICUPOM ' + ISNULL(@V_OLD_IDSALDOINICUPOM,'' );
	   END;
	   IF @V_OLD_IDPREVCONSPDV IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPREVCONSPDV ' + ISNULL(@V_OLD_IDPREVCONSPDV,'' );
	   END;
	   IF @V_OLD_CDSERIECNTREC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDSERIECNTREC ' + ISNULL(@V_OLD_CDSERIECNTREC,'' );
	   END;
	   IF @V_OLD_CDTPOPERCNTREC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTPOPERCNTREC ' + ISNULL(@V_OLD_CDTPOPERCNTREC,'' );
	   END;
	   IF @V_OLD_CDREDUCONT IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDREDUCONT ' + ISNULL(@V_OLD_CDREDUCONT,'' );
	   END;
	   IF @V_OLD_CDTPBAIXAREC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTPBAIXAREC ' + ISNULL(@V_OLD_CDTPBAIXAREC,'' );
	   END;
	   IF @V_OLD_IDGERACAOTC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDGERACAOTC ' + ISNULL(@V_OLD_IDGERACAOTC,'' );
	   END;
	   IF @V_OLD_IDIMPSALDOCUPOM IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPSALDOCUPOM ' + ISNULL(@V_OLD_IDIMPSALDOCUPOM,'' );
	   END;
	   IF @V_OLD_IDPERCONVESTNEG IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERCONVESTNEG ' + ISNULL(@V_OLD_IDPERCONVESTNEG,'' );
	   END;
	   IF @V_OLD_IDUTILMODPROD IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTILMODPROD ' + ISNULL(@V_OLD_IDUTILMODPROD,'' );
	   END;
	   IF @V_OLD_NRDIASVERMOVCLI IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASVERMOVCLI ' + ISNULL(@V_OLD_NRDIASVERMOVCLI,'' );
	   END;
	   IF @V_OLD_IDUTCONFCADCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTCONFCADCONS ' + ISNULL(@V_OLD_IDUTCONFCADCONS,'' );
	   END;
	   IF @V_OLD_IDRECBOLETBANC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDRECBOLETBANC ' + ISNULL(@V_OLD_IDRECBOLETBANC,'' );
	   END;
	   IF @V_OLD_IDRECBANCOITAU IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDRECBANCOITAU ' + ISNULL(@V_OLD_IDRECBANCOITAU,'' );
	   END;
	   IF @V_OLD_IDRECBANCOBRADE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDRECBANCOBRADE ' + ISNULL(@V_OLD_IDRECBANCOBRADE,'' );
	   END;
	   IF @V_OLD_IDCONDESCTXSERV IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCONDESCTXSERV ' + ISNULL(@V_OLD_IDCONDESCTXSERV,'' );
	   END;

           IF @V_OLD_IDPREVDSALDO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPREVDSALDO ' + ISNULL(@V_OLD_IDPREVDSALDO,'' );
	   END;

           IF @V_OLD_IDCONSDESCTXSERV IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCONSDESCTXSERV ' + ISNULL(@V_OLD_IDCONSDESCTXSERV,'' );
	   END;

	   SET @V_IDTIPOOPER = 3;
	END;
        IF @V_ID_COMANDO= 'U' /*UPDATE*/ BEGIN
       IF ISNULL(@V_NEW_CDFILIAL ,'NULL') <> ISNULL(@V_OLD_CDFILIAL ,'NULL') BEGIN 
	      SET @V_DESC = 'Filial ' + ISNULL(@V_NEW_CDFILIAL,'' );
	   END;
	   IF ISNULL(@V_NEW_CDPARAVEND ,'NULL') <> ISNULL(@V_OLD_CDPARAVEND ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPARAVEND ' + ISNULL(@V_NEW_CDPARAVEND,'' );
	   END;
	   IF ISNULL(@V_NEW_CDPRODUTO ,'NULL') <> ISNULL(@V_OLD_CDPRODUTO ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPRODUTO ' + ISNULL(@V_NEW_CDPRODUTO,'' );
	   END;
	   IF ISNULL(@V_NEW_CDCLIENTE ,'NULL') <> ISNULL(@V_OLD_CDCLIENTE ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' Cliente ' + ISNULL(@V_NEW_CDCLIENTE,'' );
	   END;
	   IF ISNULL(@V_NEW_NMULTIMOTXT ,'NULL') <> ISNULL(@V_OLD_NMULTIMOTXT ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NMULTIMOTXT ' + ISNULL(@V_NEW_NMULTIMOTXT,'' );
	   END;
	   IF ISNULL(@V_NEW_IDCONSUMIOBR ,'NULL') <> ISNULL(@V_OLD_IDCONSUMIOBR ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCONSUMIOBR ' + ISNULL(@V_NEW_IDCONSUMIOBR,'' );
	   END;
	   IF ISNULL(CONVERT(VARCHAR,@V_NEW_QTDIGCDIDCON) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_QTDIGCDIDCON) ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' QTDIGCDIDCON ' + ISNULL(CONVERT(VARCHAR,@V_NEW_QTDIGCDIDCON),'' );
	   END;
	   IF ISNULL(@V_NEW_CDDIGCDIDCON ,'NULL') <> ISNULL(@V_OLD_CDDIGCDIDCON ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDDIGCDIDCON ' + ISNULL(@V_NEW_CDDIGCDIDCON,'' );
	   END;
	   IF ISNULL(@V_NEW_IDATUEST ,'NULL') <> ISNULL(@V_OLD_IDATUEST ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDATUEST ' + ISNULL(@V_NEW_IDATUEST,'' );
	   END;
	   IF ISNULL(@V_NEW_CDSERVFILI ,'NULL') <> ISNULL(@V_OLD_CDSERVFILI ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDSERVFILI ' + ISNULL(@V_NEW_CDSERVFILI,'' );
	   END;
	   IF ISNULL(@V_NEW_IDSERVPAD ,'NULL') <> ISNULL(@V_OLD_IDSERVPAD ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDSERVPAD ' + ISNULL(@V_NEW_IDSERVPAD,'' );
	   END;
	   IF ISNULL(@V_NEW_IDIMPCUPFIS ,'NULL') <> ISNULL(@V_OLD_IDIMPCUPFIS ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCUPFIS ' + ISNULL(@V_NEW_IDIMPCUPFIS,'' );
	   END;
	   IF ISNULL(@V_NEW_CDEMPRESA ,'NULL') <> ISNULL(@V_OLD_CDEMPRESA ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDEMPRESA ' + ISNULL(@V_NEW_CDEMPRESA,'' );
	   END;
	   IF ISNULL(@V_NEW_CDINSCESTA ,'NULL') <> ISNULL(@V_OLD_CDINSCESTA ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDINSCESTA ' + ISNULL(@V_NEW_CDINSCESTA,'' );
	   END;
	   IF ISNULL(@V_NEW_CDINSCMUNI ,'NULL') <> ISNULL(@V_OLD_CDINSCMUNI ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDINSCMUNI ' + ISNULL(@V_NEW_CDINSCMUNI,'' );
	   END;
	   IF ISNULL(@V_NEW_CDSERIE ,'NULL') <> ISNULL(@V_OLD_CDSERIE ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDSERIE ' + ISNULL(@V_NEW_CDSERIE,'' );
	   END;
	   IF ISNULL(@V_NEW_CDTABEPREC ,'NULL') <> ISNULL(@V_OLD_CDTABEPREC ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTABEPREC ' + ISNULL(@V_NEW_CDTABEPREC,'' );
	   END;
	   IF ISNULL(@V_NEW_IDFORMAPRECO ,'NULL') <> ISNULL(@V_OLD_IDFORMAPRECO ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDFORMAPRECO ' + ISNULL(@V_NEW_IDFORMAPRECO,'' );
	   END;
	   IF ISNULL(@V_NEW_IDCUSFOPRECO ,'NULL') <> ISNULL(@V_OLD_IDCUSFOPRECO ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCUSFOPRECO ' + ISNULL(@V_NEW_IDCUSFOPRECO,'' );
	   END;
	   IF ISNULL(@V_NEW_IDPRECDIFCOM ,'NULL') <> ISNULL(@V_OLD_IDPRECDIFCOM ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPRECDIFCOM ' + ISNULL(@V_NEW_IDPRECDIFCOM,'' );
	   END;
	   IF ISNULL(@V_NEW_IDORIGVENDA ,'NULL') <> ISNULL(@V_OLD_IDORIGVENDA ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDORIGVENDA ' + ISNULL(@V_NEW_IDORIGVENDA,'' );
	   END;
	   IF ISNULL(@V_NEW_NRDIAFATVEND ,'NULL') <> ISNULL(@V_OLD_NRDIAFATVEND ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIAFATVEND ' + ISNULL(@V_NEW_NRDIAFATVEND,'' );
	   END;
	   IF ISNULL(@V_NEW_IDPERDIGCONS ,'NULL') <> ISNULL(@V_OLD_IDPERDIGCONS ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERDIGCONS ' + ISNULL(@V_NEW_IDPERDIGCONS,'' );
	   END;
	   IF ISNULL(@V_NEW_CDLOJA ,'NULL') <> ISNULL(@V_OLD_CDLOJA ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' Loja ' + ISNULL(@V_NEW_CDLOJA,'' );
	   END;
	   IF ISNULL(@V_NEW_NRDIASVENDA ,'NULL') <> ISNULL(@V_OLD_NRDIASVENDA ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASVENDA ' + ISNULL(@V_NEW_NRDIASVENDA,'' );
	   END;
	   IF ISNULL(@V_NEW_IDTESESTCONS ,'NULL') <> ISNULL(@V_OLD_IDTESESTCONS ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDTESESTCONS ' + ISNULL(@V_NEW_IDTESESTCONS,'' );
	   END;
	   IF ISNULL(@V_NEW_IDCRIPTOCONS ,'NULL') <> ISNULL(@V_OLD_IDCRIPTOCONS ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCRIPTOCONS ' + ISNULL(@V_NEW_IDCRIPTOCONS,'' );
	   END;
	   IF ISNULL(CONVERT(VARCHAR,@V_NEW_QTDIGICOMAND) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_QTDIGICOMAND) ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' QTDIGICOMAND ' + ISNULL(CONVERT(VARCHAR,@V_NEW_QTDIGICOMAND),'' );
	   END;
	   IF ISNULL(@V_NEW_CDTIPOCONS ,'NULL') <> ISNULL(@V_OLD_CDTIPOCONS ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTIPOCONS ' + ISNULL(@V_NEW_CDTIPOCONS,'' );
	   END;
	   IF ISNULL(@V_NEW_CDCCUSCLIE ,'NULL') <> ISNULL(@V_OLD_CDCCUSCLIE ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCCUSCLIE ' + ISNULL(@V_NEW_CDCCUSCLIE,'' );
	   END;
	   IF ISNULL(@V_NEW_IDPERMARCDUP ,'NULL') <> ISNULL(@V_OLD_IDPERMARCDUP ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERMARCDUP ' + ISNULL(@V_NEW_IDPERMARCDUP,'' );
	   END;
	   IF ISNULL(@V_NEW_IDALTPRECO ,'NULL') <> ISNULL(@V_OLD_IDALTPRECO ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDALTPRECO ' + ISNULL(@V_NEW_IDALTPRECO,'' );
	   END;
	   IF ISNULL(@V_NEW_CDTPCONSDUP ,'NULL') <> ISNULL(@V_OLD_CDTPCONSDUP ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTPCONSDUP ' + ISNULL(@V_NEW_CDTPCONSDUP,'' );
	   END;
	   IF ISNULL(@V_NEW_CDGRPRODPDV ,'NULL') <> ISNULL(@V_OLD_CDGRPRODPDV ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDGRPRODPDV ' + ISNULL(@V_NEW_CDGRPRODPDV,'' );
	   END;
	   IF ISNULL(CONVERT(VARCHAR,@V_NEW_NRPOSINICONS) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_NRPOSINICONS) ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINICONS ' + ISNULL(CONVERT(VARCHAR,@V_NEW_NRPOSINICONS),'' );
	   END;
	   IF ISNULL(CONVERT(VARCHAR,@V_NEW_NRPOSFINCONS) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_NRPOSFINCONS) ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFINCONS ' + ISNULL(CONVERT(VARCHAR,@V_OLD_NRPOSFINCONS),'' );
	   END;
	   IF ISNULL(@V_NEW_IDUTDLLEXSEG ,'NULL') <> ISNULL(@V_OLD_IDUTDLLEXSEG ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTDLLEXSEG ' + ISNULL(@V_NEW_IDUTDLLEXSEG,'' );
	   END;
	   IF ISNULL(@V_NEW_CDPDVDLLSEG ,'NULL') <> ISNULL(@V_OLD_CDPDVDLLSEG ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPDVDLLSEG ' + ISNULL(@V_NEW_CDPDVDLLSEG,'' );
	   END;
	   IF ISNULL(@V_NEW_CDPOODLLSEG ,'NULL') <> ISNULL(@V_OLD_CDPOODLLSEG ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPOODLLSEG ' + ISNULL(@V_NEW_CDPOODLLSEG,'' );
	   END;
	   IF ISNULL(@V_NEW_CDCXADLLSEG ,'NULL') <> ISNULL(@V_OLD_CDCXADLLSEG ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCXADLLSEG ' + ISNULL(@V_NEW_CDCXADLLSEG,'' );
	   END;
	   IF ISNULL(CONVERT(VARCHAR,@V_NEW_QTMEDVENDDIA ) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_QTMEDVENDDIA ) ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' QTMEDVENDDIA ' + ISNULL(CONVERT(VARCHAR,@V_NEW_QTMEDVENDDIA ),'' );
	   END;
	   IF ISNULL(@V_NEW_IDUTSUBTCONS ,'NULL') <> ISNULL(@V_OLD_IDUTSUBTCONS ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTSUBTCONS ' + ISNULL(@V_NEW_IDUTSUBTCONS,'' );
	   END;
	   IF ISNULL(@V_NEW_CDCAIXACTRL ,'NULL') <> ISNULL(@V_OLD_CDCAIXACTRL ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCAIXACTRL ' + ISNULL(@V_NEW_CDCAIXACTRL,'' );
	   END;
	   IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRPEEMITROCO) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRPEEMITROCO) ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' VRPEEMITROCO ' + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPEEMITROCO),'' );
	   END;
	   IF ISNULL(CONVERT(VARCHAR,@V_NEW_DTINTESTCONS) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_DTINTESTCONS) ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTINTESTCONS ' + ISNULL(CONVERT(VARCHAR,@V_NEW_DTINTESTCONS),'' );
	   END;
	   IF ISNULL(CONVERT(VARCHAR,@V_NEW_DTINITESCONS) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_DTINITESCONS) ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTINITESCONS ' + ISNULL(CONVERT(VARCHAR,@V_NEW_DTINITESCONS),'' );
	   END;
	   IF ISNULL(@V_NEW_CDFORMATCOD ,'NULL') <> ISNULL(@V_OLD_CDFORMATCOD ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDFORMATCOD ' + ISNULL(@V_NEW_CDFORMATCOD,'' );
	   END;
	   IF ISNULL(@V_NEW_NRPOSINIOPT ,'NULL') <> ISNULL(@V_OLD_NRPOSINIOPT ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINIOPT ' + ISNULL(@V_NEW_NRPOSINIOPT,'' );
	   END;
	   IF ISNULL(@V_NEW_NRPOSFIMOPT ,'NULL') <> ISNULL(@V_OLD_NRPOSFIMOPT ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFIMOPT ' + ISNULL(@V_NEW_NRPOSFIMOPT,'' );
	   END;
	   IF ISNULL(CONVERT(VARCHAR,@V_NEW_DTULTATUPAVN) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_DTULTATUPAVN) ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTULTATUPAVN ' + ISNULL(CONVERT(VARCHAR,@V_NEW_DTULTATUPAVN),'' );
	   END;
	   IF ISNULL(CONVERT(VARCHAR,@V_NEW_DTINICONSTOT) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_DTINICONSTOT) ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTINICONSTOT ' + ISNULL(CONVERT(VARCHAR,@V_NEW_DTINICONSTOT),'' );
	   END;
	   IF ISNULL(@V_NEW_IDTIPMAPRESU ,'NULL') <> ISNULL(@V_OLD_IDTIPMAPRESU ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDTIPMAPRESU ' + ISNULL(@V_NEW_IDTIPMAPRESU,'' );
	   END;
	   IF ISNULL(@V_NEW_IDENTRSAIDOP ,'NULL') <> ISNULL(@V_OLD_IDENTRSAIDOP ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDENTRSAIDOP ' + ISNULL(@V_NEW_IDENTRSAIDOP,'' );
	   END;
	   IF ISNULL(@V_NEW_CDTIPOOPER ,'NULL') <> ISNULL(@V_OLD_CDTIPOOPER ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTIPOOPER ' + ISNULL(@V_NEW_CDTIPOOPER,'' );
	   END;
	   IF ISNULL(@V_NEW_IDACRIMPOSTO ,'NULL') <> ISNULL(@V_OLD_IDACRIMPOSTO ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDACRIMPOSTO ' + ISNULL(@V_NEW_IDACRIMPOSTO,'' );
	   END;
	   IF ISNULL(@V_NEW_CDOPERADOR ,'NULL') <> ISNULL(@V_OLD_CDOPERADOR ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDOPERADOR ' + ISNULL(@V_NEW_CDOPERADOR,'' );
	   END;
	   IF ISNULL(@V_NEW_CDPRODTAXSER ,'NULL') <> ISNULL(@V_OLD_CDPRODTAXSER ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPRODTAXSER ' + ISNULL(@V_NEW_CDPRODTAXSER,'' );
	   END;
	   IF ISNULL(@V_NEW_CDFILIALEXT ,'NULL') <> ISNULL(@V_OLD_CDFILIALEXT ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDFILIALEXT ' + ISNULL(@V_NEW_CDFILIALEXT,'' );
	   END;
	   IF ISNULL(@V_NEW_CDVERBACONS ,'NULL') <> ISNULL(@V_OLD_CDVERBACONS ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDVERBACONS ' + ISNULL(@V_NEW_CDVERBACONS,'' );
	   END;
	   IF ISNULL(@V_NEW_CDVERBAEXCE ,'NULL') <> ISNULL(@V_OLD_CDVERBAEXCE ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDVERBAEXCE ' + ISNULL(@V_NEW_CDVERBAEXCE,'' );
	   END;
	   IF ISNULL(@V_NEW_IDCALCVREXCE ,'NULL') <> ISNULL(@V_OLD_IDCALCVREXCE ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCALCVREXCE ' + ISNULL(@V_NEW_IDCALCVREXCE,'' );
	   END;
	   IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRREFNEGCLIE) ,'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRREFNEGCLIE) ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' VRREFNEGCLIE ' + ISNULL(CONVERT(VARCHAR,@V_NEW_VRREFNEGCLIE),'' );
	   END;
	   IF ISNULL(@V_NEW_IDSALDOINICUPOM ,'NULL') <> ISNULL(@V_OLD_IDSALDOINICUPOM ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDSALDOINICUPOM ' + ISNULL(@V_NEW_IDSALDOINICUPOM,'' );
	   END;
	   IF ISNULL(@V_NEW_IDPREVCONSPDV ,'NULL') <> ISNULL(@V_OLD_IDPREVCONSPDV ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPREVCONSPDV ' + ISNULL(@V_NEW_IDPREVCONSPDV,'' );
	   END;
	   IF ISNULL(@V_NEW_CDSERIECNTREC ,'NULL') <> ISNULL(@V_OLD_CDSERIECNTREC ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDSERIECNTREC ' + ISNULL(@V_NEW_CDSERIECNTREC,'' );
	   END;
	   IF ISNULL(@V_NEW_CDTPOPERCNTREC ,'NULL') <> ISNULL(@V_OLD_CDTPOPERCNTREC ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTPOPERCNTREC ' + ISNULL(@V_NEW_CDTPOPERCNTREC,'' );
	   END;
	   IF ISNULL(@V_NEW_CDREDUCONT ,'NULL') <> ISNULL(@V_OLD_CDREDUCONT ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDREDUCONT ' + ISNULL(@V_NEW_CDREDUCONT,'' );
	   END;
	   IF ISNULL(@V_NEW_CDTPBAIXAREC ,'NULL') <> ISNULL(@V_OLD_CDTPBAIXAREC ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTPBAIXAREC ' + ISNULL(@V_NEW_CDTPBAIXAREC,'' );
	   END;
	   IF ISNULL(@V_NEW_IDGERACAOTC ,'NULL') <> ISNULL(@V_OLD_IDGERACAOTC ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDGERACAOTC ' + ISNULL(@V_NEW_IDGERACAOTC,'' );
	   END;
	   IF ISNULL(@V_NEW_IDIMPSALDOCUPOM ,'NULL') <> ISNULL(@V_OLD_IDIMPSALDOCUPOM ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPSALDOCUPOM ' + ISNULL(@V_NEW_IDIMPSALDOCUPOM,'' );
	   END;
	   IF ISNULL(@V_NEW_IDPERCONVESTNEG ,'NULL') <> ISNULL(@V_OLD_IDPERCONVESTNEG ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERCONVESTNEG ' + ISNULL(@V_NEW_IDPERCONVESTNEG,'' );
	   END;
	   IF ISNULL(@V_NEW_IDUTILMODPROD ,'NULL') <> ISNULL(@V_OLD_IDUTILMODPROD ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTILMODPROD ' + ISNULL(@V_NEW_IDUTILMODPROD,'' );
	   END;
	   IF ISNULL(@V_NEW_NRDIASVERMOVCLI ,'NULL') <> ISNULL(@V_OLD_NRDIASVERMOVCLI ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASVERMOVCLI ' + ISNULL(@V_NEW_NRDIASVERMOVCLI,'' );
	   END;
	   IF ISNULL(@V_NEW_IDUTCONFCADCONS ,'NULL') <> ISNULL(@V_OLD_IDUTCONFCADCONS ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTCONFCADCONS ' + ISNULL(@V_NEW_IDUTCONFCADCONS,'' );
	   END;
	   IF ISNULL(@V_NEW_IDRECBOLETBANC ,'NULL') <> ISNULL(@V_OLD_IDRECBOLETBANC ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDRECBOLETBANC ' + ISNULL(@V_NEW_IDRECBOLETBANC,'' );
	   END;
	   IF ISNULL(@V_NEW_IDRECBANCOITAU ,'NULL') <> ISNULL(@V_OLD_IDRECBANCOITAU ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDRECBANCOITAU ' + ISNULL(@V_NEW_IDRECBANCOITAU,'' );
	   END;
	   IF ISNULL(@V_NEW_IDRECBANCOBRADE ,'NULL') <> ISNULL(@V_OLD_IDRECBANCOBRADE ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDRECBANCOBRADE ' + ISNULL(@V_NEW_IDRECBANCOBRADE,'' );
	   END;
	   IF ISNULL(@V_NEW_IDCONDESCTXSERV ,'NULL') <> ISNULL(@V_OLD_IDCONDESCTXSERV ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCONDESCTXSERV ' + ISNULL(@V_NEW_IDCONDESCTXSERV,'' );
	   END;
           IF ISNULL(@V_NEW_IDPREVDSALDO ,'NULL') <> ISNULL(@V_OLD_IDPREVDSALDO,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPREVDSALDO ' + ISNULL(@V_NEW_IDPREVDSALDO,'' );
	   END;
           IF ISNULL(@V_NEW_IDCONSDESCTXSERV ,'NULL') <> ISNULL(@V_OLD_IDCONSDESCTXSERV ,'NULL') BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCONSDESCTXSERV ' + ISNULL(@V_NEW_IDCONSDESCTXSERV,'' );
	   END;
	   SET @V_IDTIPOOPER = 2;
	END;
        IF @V_ID_COMANDO= 'I' /*INSERO*/ BEGIN
	   IF @V_NEW_CDFILIAL IS NOT NULL BEGIN
	      SET @V_DESC = ' ' + 'Filial' + ISNULL(@V_NEW_CDFILIAL,'' );
	   END;
	   IF @V_NEW_CDPARAVEND IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPARAVEND ' + ISNULL(@V_NEW_CDPARAVEND,'' );
	   END;
	   IF @V_NEW_CDPRODUTO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPRODUTO ' + ISNULL(@V_NEW_CDPRODUTO,'' );
	   END;
	   IF @V_NEW_CDCLIENTE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' Cliente ' + ISNULL(@V_NEW_CDCLIENTE,'' );
	   END;
	   IF @V_NEW_NMULTIMOTXT IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NMULTIMOTXT ' + ISNULL(@V_NEW_NMULTIMOTXT,'' );
	   END;
	   IF @V_NEW_IDCONSUMIOBR IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCONSUMIOBR ' + ISNULL(@V_NEW_IDCONSUMIOBR,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_NEW_QTDIGCDIDCON) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' QTDIGCDIDCON ' + CONVERT(VARCHAR,@V_NEW_QTDIGCDIDCON);
	   END;
	   IF @V_NEW_CDDIGCDIDCON IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDDIGCDIDCON ' + ISNULL(@V_NEW_CDDIGCDIDCON,'' );
	   END;
	   IF @V_NEW_IDATUEST IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDATUEST ' + ISNULL(@V_NEW_IDATUEST,'' );
	   END;
	   IF @V_NEW_CDSERVFILI IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDSERVFILI ' + ISNULL(@V_NEW_CDSERVFILI,'' );
	   END;
	   IF @V_NEW_IDSERVPAD IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDSERVPAD ' + ISNULL(@V_NEW_IDSERVPAD,'' );
	   END;
	   IF @V_NEW_IDIMPCUPFIS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPCUPFIS ' + ISNULL(@V_NEW_IDIMPCUPFIS,'' );
	   END;
	   IF @V_NEW_CDEMPRESA IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDEMPRESA ' + ISNULL(@V_NEW_CDEMPRESA,'' );
	   END;
	   IF @V_NEW_CDINSCESTA IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDINSCESTA ' + ISNULL(@V_NEW_CDINSCESTA,'' );
	   END;
	   IF @V_NEW_CDINSCMUNI IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDINSCMUNI ' + ISNULL(@V_NEW_CDINSCMUNI,'' );
	   END;
	   IF @V_NEW_CDSERIE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDSERIE ' + ISNULL(@V_NEW_CDSERIE,'' );
	   END;
	   IF @V_NEW_CDTABEPREC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTABEPREC ' + ISNULL(@V_NEW_CDTABEPREC,'' );
	   END;
	   IF @V_NEW_IDFORMAPRECO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTABEPREC ' + ISNULL(@V_NEW_CDTABEPREC,'' );
	   END;
	   IF @V_NEW_IDCUSFOPRECO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCUSFOPRECO ' + ISNULL(@V_NEW_IDCUSFOPRECO,'' );
	   END;
	   IF @V_NEW_IDPRECDIFCOM IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPRECDIFCOM ' + ISNULL(@V_NEW_IDPRECDIFCOM,'' );
	   END;
	   IF @V_NEW_IDORIGVENDA IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDORIGVENDA ' + ISNULL(@V_NEW_IDORIGVENDA,'' );
	   END;
	   IF @V_NEW_NRDIAFATVEND IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIAFATVEND ' + ISNULL(@V_NEW_NRDIAFATVEND,'' );
	   END;
	   IF @V_NEW_IDPERDIGCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERDIGCONS ' + ISNULL(@V_NEW_IDPERDIGCONS,'' );
	   END;
	   IF @V_NEW_CDLOJA IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' Loja ' + ISNULL(@V_NEW_CDLOJA,'' );
	   END;
	   IF @V_NEW_NRDIASVENDA IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASVENDA ' + ISNULL(@V_NEW_NRDIASVENDA,'' );
	   END;
	   IF @V_NEW_IDTESESTCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDTESESTCONS ' + ISNULL(@V_NEW_IDTESESTCONS,'' );
	   END;
	   IF @V_NEW_IDCRIPTOCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCRIPTOCONS ' + ISNULL(@V_NEW_IDCRIPTOCONS,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_NEW_QTDIGICOMAND) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' QTDIGICOMAND ' + CONVERT(VARCHAR,@V_NEW_QTDIGICOMAND);
	   END;
	   IF @V_NEW_CDTIPOCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTIPOCONS ' + ISNULL(@V_NEW_CDTIPOCONS,'' );
	   END;
	   IF @V_NEW_CDCCUSCLIE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCCUSCLIE ' + ISNULL(@V_NEW_CDCCUSCLIE,'' );
	   END;
	   IF @V_NEW_IDPERMARCDUP IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERMARCDUP ' + ISNULL(@V_NEW_IDPERMARCDUP,'' );
	   END;
	   IF @V_NEW_IDALTPRECO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDALTPRECO ' + ISNULL(@V_NEW_IDALTPRECO,'' );
	   END;
	   IF @V_NEW_CDTPCONSDUP IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTPCONSDUP ' + ISNULL(@V_NEW_CDTPCONSDUP,'' );
	   END;
	   IF @V_NEW_CDGRPRODPDV IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDGRPRODPDV ' + ISNULL(@V_NEW_CDGRPRODPDV,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_NEW_NRPOSINICONS) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINICONS ' + CONVERT(VARCHAR,@V_NEW_NRPOSINICONS);
	   END;
	   IF CONVERT(VARCHAR,@V_OLD_NRPOSFINCONS) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFINCONS ' + CONVERT(VARCHAR,@V_OLD_NRPOSFINCONS);
	   END;
	   IF @V_NEW_IDUTDLLEXSEG IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTDLLEXSEG ' + ISNULL(@V_NEW_IDUTDLLEXSEG,'' );
	   END;
	   IF @V_NEW_CDPDVDLLSEG IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPDVDLLSEG ' + ISNULL(@V_NEW_CDPDVDLLSEG,'' );
	   END;
	   IF @V_NEW_CDPOODLLSEG IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPOODLLSEG ' + ISNULL(@V_NEW_CDPOODLLSEG,'' );
	   END;
	   IF @V_NEW_CDCXADLLSEG IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCXADLLSEG ' + ISNULL(@V_NEW_CDCXADLLSEG,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_NEW_QTMEDVENDDIA ) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' QTMEDVENDDIA ' + CONVERT(VARCHAR,@V_NEW_QTMEDVENDDIA );
	   END;
	   IF @V_NEW_IDUTSUBTCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTSUBTCONS ' + ISNULL(@V_NEW_IDUTSUBTCONS,'' );
	   END;
	   IF @V_NEW_CDCAIXACTRL IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDCAIXACTRL ' + ISNULL(@V_NEW_CDCAIXACTRL,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_NEW_VRPEEMITROCO) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' VRPEEMITROCO ' + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPEEMITROCO),'' );
	   END;
	   IF CONVERT(VARCHAR,@V_NEW_DTINTESTCONS) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTINTESTCONS ' + CONVERT(VARCHAR,@V_NEW_DTINTESTCONS);
	   END;
	   IF CONVERT(VARCHAR,@V_NEW_DTINITESCONS) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTINITESCONS ' + CONVERT(VARCHAR,@V_NEW_DTINITESCONS);
	   END;
	   IF @V_NEW_CDFORMATCOD IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDFORMATCOD ' + ISNULL(@V_NEW_CDFORMATCOD,'' );
	   END;
	   IF @V_NEW_NRPOSINIOPT IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSINIOPT ' + ISNULL(@V_NEW_NRPOSINIOPT,'' );
	   END;
	   IF @V_NEW_NRPOSFIMOPT IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRPOSFIMOPT ' + ISNULL(@V_NEW_NRPOSFIMOPT,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_NEW_DTULTATUPAVN) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTULTATUPAVN ' + CONVERT(VARCHAR,@V_NEW_DTULTATUPAVN);
	   END;
	   IF CONVERT(VARCHAR,@V_NEW_DTINICONSTOT) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' DTINICONSTOT ' + CONVERT(VARCHAR,@V_NEW_DTINICONSTOT);
	   END;
	   IF @V_NEW_IDTIPMAPRESU IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDTIPMAPRESU ' + ISNULL(@V_NEW_IDTIPMAPRESU,'' );
	   END;
	   IF @V_NEW_IDENTRSAIDOP IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDENTRSAIDOP ' + ISNULL(@V_NEW_IDENTRSAIDOP,'' );
	   END;
	   IF @V_NEW_CDTIPOOPER IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTIPOOPER ' + ISNULL(@V_NEW_CDTIPOOPER,'' );
	   END;
	   IF @V_NEW_IDACRIMPOSTO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDACRIMPOSTO ' + ISNULL(@V_NEW_IDACRIMPOSTO,'' );
	   END;
	   IF @V_NEW_CDOPERADOR IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' OPERADOR ' + ISNULL(@V_NEW_CDOPERADOR,'' );
	   END;
	   IF @V_NEW_CDPRODTAXSER IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDPRODTAXSER ' + ISNULL(@V_NEW_CDPRODTAXSER,'' );
	   END;
	   IF @V_NEW_CDFILIALEXT IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDFILIALEXT ' + ISNULL(@V_NEW_CDFILIALEXT,'' );
	   END;
	   IF @V_NEW_CDVERBACONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDVERBACONS ' + ISNULL(@V_NEW_CDVERBACONS,'' );
	   END;
	   IF @V_NEW_CDVERBAEXCE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDVERBAEXCE ' + ISNULL(@V_NEW_CDVERBAEXCE,'' );
	   END;
	   IF @V_NEW_IDCALCVREXCE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCALCVREXCE ' + ISNULL(@V_NEW_IDCALCVREXCE,'' );
	   END;
	   IF CONVERT(VARCHAR,@V_NEW_VRREFNEGCLIE) IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' VRREFNEGCLIE ' + CONVERT(VARCHAR,@V_NEW_VRREFNEGCLIE);
	   END;
	   IF @V_NEW_IDSALDOINICUPOM IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDSALDOINICUPOM ' + ISNULL(@V_NEW_IDSALDOINICUPOM,'' );
	   END;
	   IF @V_NEW_IDPREVCONSPDV IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPREVCONSPDV ' + ISNULL(@V_NEW_IDPREVCONSPDV,'' );
	   END;
	   IF @V_NEW_CDSERIECNTREC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDSERIECNTREC ' + ISNULL(@V_NEW_CDSERIECNTREC,'' );
	   END;
	   IF @V_NEW_CDTPOPERCNTREC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTPOPERCNTREC ' + ISNULL(@V_NEW_CDTPOPERCNTREC,'' );
	   END;
	   IF @V_NEW_CDREDUCONT IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDREDUCONT ' + ISNULL(@V_NEW_CDREDUCONT,'' );
	   END;
	   IF @V_NEW_CDTPBAIXAREC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' CDTPBAIXAREC ' + ISNULL(@V_NEW_CDTPBAIXAREC,'' );
	   END;
	   IF @V_NEW_IDGERACAOTC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDGERACAOTC ' + ISNULL(@V_NEW_IDGERACAOTC,'' );
	   END;
	   IF @V_NEW_IDIMPSALDOCUPOM IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDIMPSALDOCUPOM ' + ISNULL(@V_NEW_IDIMPSALDOCUPOM,'' );
	   END;
	   IF @V_NEW_IDPERCONVESTNEG IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPERCONVESTNEG ' + ISNULL(@V_NEW_IDPERCONVESTNEG,'' );
	   END;
	   IF @V_NEW_IDUTILMODPROD IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTILMODPROD ' + ISNULL(@V_NEW_IDUTILMODPROD,'' );
	   END;
	   IF @V_NEW_NRDIASVERMOVCLI IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' NRDIASVERMOVCLI ' + ISNULL(@V_NEW_NRDIASVERMOVCLI,'' );
	   END;
	   IF @V_NEW_IDUTCONFCADCONS IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDUTCONFCADCONS ' + ISNULL(@V_NEW_IDUTCONFCADCONS,'' );
	   END;
	   IF @V_NEW_IDRECBOLETBANC IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDRECBOLETBANC ' + ISNULL(@V_NEW_IDRECBOLETBANC,'' );
	   END;
	   IF @V_NEW_IDRECBANCOITAU IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDRECBANCOITAU ' + ISNULL(@V_NEW_IDRECBANCOITAU,'' );
	   END;
	   IF @V_NEW_IDRECBANCOBRADE IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDRECBANCOBRADE ' + ISNULL(@V_NEW_IDRECBANCOBRADE,'' );
	   END;
	   IF @V_NEW_IDCONDESCTXSERV IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCONDESCTXSERV ' + ISNULL(@V_NEW_IDCONDESCTXSERV,'' );
	   END;
           IF @V_NEW_IDPREVDSALDO IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDPREVDSALDO ' + ISNULL(@V_NEW_IDPREVDSALDO,'' );
	   END;
           IF @V_NEW_IDCONSDESCTXSERV IS NOT NULL BEGIN
	      SET @V_DESC = ISNULL(@V_DESC, '') + ' IDCONSDESCTXSERV ' + ISNULL(@V_NEW_IDCONSDESCTXSERV,'' );
	   END;
	   SET @V_IDTIPOOPER = 1;
	END;
        
	IF  (@V_IDTIPOOPER <> '') BEGIN
            IF @V_DESC IS NOT NULL BEGIN
               SET @V_ITPESQ =  ISNULL(@V_NEW_CDFILIAL + @V_NEW_CDPARAVEND,@V_OLD_CDFILIAL + @V_OLD_CDPARAVEND);
   	       SET @V_DESC = SUBSTRING(@V_DESC, 1, 300);
               INSERT INTO LOGOPERAVND
      	              (NMTABELAVND, DTOPERACAOVND, NMRESPOPERVND, IDTIPOOPERVND, DSOPERACAOVND,
                       CDPESQITEMVND, DSRDMUSUOPERVND, DSENDUSUOPERVND, DSNMUSUOPERVND, DSMETUSUOPERVND,
                       CDORESPOPERVND, CDFILLOGOPERVND)
               VALUES ('PARAVEND',GETDATE(), ISNULL(@V_NMOPERADOR,' '), @V_IDTIPOOPER, @V_DESC, @V_ITPESQ,
                       @V_DSSERVERRDM, @V_DSREMOTEADDR, @V_DSREMOTEHOST, @V_DSSERVMETHOD, @V_DSREMOTEOPER,
                       ISNULL(@V_NEW_CDFILIAL,@V_OLD_CDFILIAL));
            END;
        END;
	FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,

                                      @V_NEW_CDFILIAL,@V_NEW_CDPARAVEND,@V_NEW_CDPRODUTO,@V_NEW_CDCLIENTE,
                                      @V_NEW_NMULTIMOTXT,@V_NEW_IDCONSUMIOBR,@V_NEW_QTDIGCDIDCON,@V_NEW_CDDIGCDIDCON,
                                      @V_NEW_IDATUEST,@V_NEW_CDSERVFILI,@V_NEW_IDSERVPAD,@V_NEW_IDIMPCUPFIS,
                                      @V_NEW_CDEMPRESA,@V_NEW_CDINSCESTA,@V_NEW_CDINSCMUNI,@V_NEW_CDSERIE,
                                      @V_NEW_CDTABEPREC,@V_NEW_IDFORMAPRECO,@V_NEW_IDCUSFOPRECO,@V_NEW_IDPRECDIFCOM,
                                      @V_NEW_IDORIGVENDA,@V_NEW_NRDIAFATVEND,@V_NEW_IDPERDIGCONS,@V_NEW_CDLOJA,
                                      @V_NEW_NRDIASVENDA,@V_NEW_IDTESESTCONS,@V_NEW_IDCRIPTOCONS,@V_NEW_QTDIGICOMAND,
                                      @V_NEW_CDTIPOCONS,@V_NEW_CDCCUSCLIE,@V_NEW_IDPERMARCDUP,@V_NEW_IDALTPRECO,
                                      @V_NEW_CDTPCONSDUP,@V_NEW_CDGRPRODPDV,@V_NEW_NRPOSINICONS,@V_NEW_NRPOSFINCONS,
                                      @V_NEW_IDUTDLLEXSEG,@V_NEW_CDPDVDLLSEG,@V_NEW_CDPOODLLSEG,@V_NEW_CDCXADLLSEG,
                                      @V_NEW_QTMEDVENDDIA,@V_NEW_IDUTSUBTCONS,@V_NEW_CDCAIXACTRL,@V_NEW_VRPEEMITROCO,
                                      @V_NEW_DTINTESTCONS,@V_NEW_DTINITESCONS,@V_NEW_CDFORMATCOD,@V_NEW_NRPOSINIOPT,
                                      @V_NEW_NRPOSFIMOPT,@V_NEW_DTULTATUPAVN,@V_NEW_DTINICONSTOT,@V_NEW_IDTIPMAPRESU,
                                      @V_NEW_IDENTRSAIDOP,@V_NEW_CDTIPOOPER,@V_NEW_IDACRIMPOSTO,@V_NEW_CDOPERADOR,
                                      @V_NEW_CDPRODTAXSER,@V_NEW_CDFILIALEXT,@V_NEW_CDVERBACONS,@V_NEW_CDVERBAEXCE,
                                      @V_NEW_IDCALCVREXCE,@V_NEW_VRREFNEGCLIE,@V_NEW_IDSALDOINICUPOM,@V_NEW_IDPREVCONSPDV,
                                      @V_NEW_CDSERIECNTREC,@V_NEW_CDTPOPERCNTREC,@V_NEW_CDREDUCONT,@V_NEW_CDTPBAIXAREC,
                                      @V_NEW_IDGERACAOTC,@V_NEW_IDPERCONVESTNEG,@V_NEW_IDIMPSALDOCUPOM,@V_NEW_IDUTILMODPROD,
                                      @V_NEW_NRDIASVERMOVCLI,@V_NEW_IDUTCONFCADCONS,@V_NEW_IDRECBOLETBANC,@V_NEW_IDRECBANCOITAU,
                                      @V_NEW_IDRECBANCOBRADE,@V_NEW_IDCONDESCTXSERV, @V_NEW_IDPREVDSALDO,@V_NEW_IDCONSDESCTXSERV,

                                      @V_OLD_CDFILIAL,@V_OLD_CDPARAVEND,@V_OLD_CDPRODUTO,@V_OLD_CDCLIENTE,
                                      @V_OLD_NMULTIMOTXT,@V_OLD_IDCONSUMIOBR,@V_OLD_QTDIGCDIDCON,@V_OLD_CDDIGCDIDCON,
                                      @V_OLD_IDATUEST,@V_OLD_CDSERVFILI,@V_OLD_IDSERVPAD,@V_OLD_IDIMPCUPFIS,
                                      @V_OLD_CDEMPRESA,@V_OLD_CDINSCESTA,@V_OLD_CDINSCMUNI,@V_OLD_CDSERIE,
                                      @V_OLD_CDTABEPREC,@V_OLD_IDFORMAPRECO,@V_OLD_IDCUSFOPRECO,@V_OLD_IDPRECDIFCOM,
                                      @V_OLD_IDORIGVENDA,@V_OLD_NRDIAFATVEND,@V_OLD_IDPERDIGCONS,@V_OLD_CDLOJA,
                                      @V_OLD_NRDIASVENDA,@V_OLD_IDTESESTCONS,@V_OLD_IDCRIPTOCONS,@V_OLD_QTDIGICOMAND,
                                      @V_OLD_CDTIPOCONS,@V_OLD_CDCCUSCLIE,@V_OLD_IDPERMARCDUP,@V_OLD_IDALTPRECO,
                                      @V_OLD_CDTPCONSDUP,@V_OLD_CDGRPRODPDV,@V_OLD_NRPOSINICONS,@V_OLD_NRPOSFINCONS,
                                      @V_OLD_IDUTDLLEXSEG,@V_OLD_CDPDVDLLSEG,@V_OLD_CDPOODLLSEG,@V_OLD_CDCXADLLSEG,
                                      @V_OLD_QTMEDVENDDIA,@V_OLD_IDUTSUBTCONS,@V_OLD_CDCAIXACTRL,@V_OLD_VRPEEMITROCO,
                                      @V_OLD_DTINTESTCONS,@V_OLD_DTINITESCONS,@V_OLD_CDFORMATCOD,@V_OLD_NRPOSINIOPT,
                                      @V_OLD_NRPOSFIMOPT,@V_OLD_DTULTATUPAVN,@V_OLD_DTINICONSTOT,@V_OLD_IDTIPMAPRESU,
                                      @V_OLD_IDENTRSAIDOP,@V_OLD_CDTIPOOPER,@V_OLD_IDACRIMPOSTO,@V_OLD_CDOPERADOR,
                                      @V_OLD_CDPRODTAXSER,@V_OLD_CDFILIALEXT,@V_OLD_CDVERBACONS,@V_OLD_CDVERBAEXCE,
                                      @V_OLD_IDCALCVREXCE,@V_OLD_VRREFNEGCLIE,@V_OLD_IDSALDOINICUPOM,@V_OLD_IDPREVCONSPDV,
                                      @V_OLD_CDSERIECNTREC,@V_OLD_CDTPOPERCNTREC,@V_OLD_CDREDUCONT,@V_OLD_CDTPBAIXAREC,
                                      @V_OLD_IDGERACAOTC,@V_OLD_IDPERCONVESTNEG,@V_OLD_IDIMPSALDOCUPOM,@V_OLD_IDUTILMODPROD,
                                      @V_OLD_NRDIASVERMOVCLI,@V_OLD_IDUTCONFCADCONS,@V_OLD_IDRECBOLETBANC,@V_OLD_IDRECBANCOITAU,
                                      @V_OLD_IDRECBANCOBRADE,@V_OLD_IDCONDESCTXSERV, @V_OLD_IDPREVDSALDO,@V_OLD_IDCONSDESCTXSERV

   SET @V_DESC   = '';
   END;
   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;

END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LOG_VND_PARAVEND','6.35.036';
GO
